package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * 负面清单列表对象 lab_negative_list_records
 * 
 * @author zd
 * @date 2021-12-15
 */
@ApiModel("负面清单列表")
public class LabNegativeListRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 创建者id
     */
    private Long creact_id;

   private Long joinUserId;
    /** 姓名 */
    @Excel(name = "姓名")
    @Length(message = "姓名长度不能超过255")
    @ApiModelProperty(value = "姓名")
    private String userName;
    /** 学号 */
    @Excel(name = "学号")
    @Length(message = "学号长度不能超过50")
    @ApiModelProperty(value = "学号")
    private String stuNo;
    /** 所属学院 */
    @Excel(name = "所属学院")
    @Length(message = "所属学院长度不能超过255")
    @ApiModelProperty(value = "所属学院")
    private String belongCollege;
    /** 原因 */
    @Excel(name = "原因")
    @Length(message = "原因长度不能超过255")
    @ApiModelProperty(value = "原因")
    private String reason;
    /** 处理状态：0:带学习，1:待考试，2：不合格 */
    @Excel(name = "处理状态：0:带学习，1:待考试，2：不合格")
    @ApiModelProperty(value = "处理状态：0:带学习，1:待考试，2：不合格")
    private String status;
    /** 违规次数 */
    @Excel(name = "违规次数")
    @ApiModelProperty(value = "违规次数")
    private Long violationNum;
    /** 负面清单次数 */
    @Excel(name = "负面清单次数")
    @ApiModelProperty(value = "负面清单次数")
    private String negativeListNum;
    /** 黑名单次数 */
    @Excel(name = "黑名单次数")
    @ApiModelProperty(value = "黑名单次数")
    private String blackListNum;
    /** 信用分 */
    @Excel(name = "信用分")
    @ApiModelProperty(value = "信用分")
    private Integer ceditScore;

    /**
     * 是否负面清单
     */
    private Integer isNegative;

    /**
     * 是否黑名单
     */
    private Integer isBlackList;

    /**
     * 实验室id
     */
    private Long subjectId;



    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getCreact_id() {
        return creact_id;
    }

    public void setCreact_id(Long creact_id) {
        this.creact_id = creact_id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setStuNo(String stuNo)
    {
        this.stuNo = stuNo;
    }

    public String getStuNo() 
    {
        return stuNo;
    }
    public void setBelongCollege(String belongCollege) 
    {
        this.belongCollege = belongCollege;
    }

    public String getBelongCollege() 
    {
        return belongCollege;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setViolationNum(Long violationNum)
    {
        this.violationNum = violationNum;
    }

    public Long getViolationNum()
    {
        return violationNum;
    }
    public void setNegativeListNum(String negativeListNum)
    {
        this.negativeListNum = negativeListNum;
    }

    public String getNegativeListNum()
    {
        return negativeListNum;
    }
    public void setBlackListNum(String blackListNum)
    {
        this.blackListNum = blackListNum;
    }

    public String getBlackListNum()
    {
        return blackListNum;
    }
    public void setCeditScore(Integer ceditScore) 
    {
        this.ceditScore = ceditScore;
    }

    public Integer getCeditScore() 
    {
        return ceditScore;
    }

    public Integer getIsNegative() {
        return isNegative;
    }

    public void setIsNegative(Integer isNegative) {
        this.isNegative = isNegative;
    }

    public Integer getIsBlackList() {
        return isBlackList;
    }

    public void setIsBlackList(Integer isBlackList) {
        this.isBlackList = isBlackList;
    }


    public Long getJoinUserId() {
        return joinUserId;
    }

    public void setJoinUserId(Long joinUserId) {
        this.joinUserId = joinUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("stuName", getUserName())
            .append("stuNo", getStuNo())
            .append("belongCollege", getBelongCollege())
            .append("createTime", getCreateTime())
            .append("reason", getReason())
            .append("status", getStatus())
            .append("violationNum", getViolationNum())
            .append("negativeListNum", getNegativeListNum())
            .append("blackListNum", getBlackListNum())
            .append("ceditScore", getCeditScore())
            .toString();
    }
}
